{ self, inputs, ... }: {

  flake.nixosConfigurations.ideapad = inputs.nixpkgs.lib.nixosSystem {
    system = "aarch64-linux";
    specialArgs = {
      inherit self inputs;
      host = "ideapad";
      system = "aarch64-linux";
    };
    modules = [
      self.nixosModules.ideapadConfiguration
      self.nixosModules.ideapadHome
    ];
  };
}
